// Oleg Petruny proprietary.

#pragma once

#include "AutohideWidget.h"
#include "InputAnimatedWidgetInterface.h"

#include "InventoryWidget.generated.h"

UCLASS(Blueprintable, Abstract)
class UInventoryWidget : public UAutohideWidget, public IInputAnimatedWidgetInterface
{
    GENERATED_BODY()

public:
    UPROPERTY(meta = (BindWidget))
    class UTextBlock* firstItemKeyText;
    UPROPERTY(meta = (BindWidget))
    class UTextBlock* firstItemDescriptionText;
    UPROPERTY(meta = (BindWidget))
    class UTextBlock* secondItemKeyText;
    UPROPERTY(meta = (BindWidget))
    class UTextBlock* secondItemDescriptionText;
};
